﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .RadRotatorButton
        {
            width: 30px;
            height: 40px;
        }
        .RadRotatorButton:hover
        {
            background-color: aliceblue;
        }
        .ItemWrapper
        {
            width: 98px !important;
            height: 108px !important;
            border: solid 1px red !important;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>

    <script type="text/javascript">

        function onRotatorButtonClick(imageID)
        {
            var oRotator = $find("<%= RadRotator1.ClientID  %>");
            if (imageID == "RightArrow")
            {
                oRotator.showNext(Telerik.Web.UI.RotatorScrollDirection.Right);
            }
            else
            {
                oRotator.showNext(Telerik.Web.UI.RotatorScrollDirection.Left);
            }
        }
    
    </script>

    <div>
        <telerik:RadRotator ID="RadRotator1" runat="server" RotatorType="FromCode" ScrollDuration="500"
            DataSourceID="XmlDataSource1" Width="370" ItemWidth="100" Height="120" ItemHeight="110"
            FrameDuration="1000" OnItemClick="RadRotator1_ItemClick">
            <ItemTemplate>
                <asp:Image ID="Image1" runat="server" ImageUrl='<%# XPath("ImageURL") %>' AlternateText="IMAGE" />
            </ItemTemplate>
            <ControlButtons LeftButtonID="LeftArrow" OnClientButtonOver="onRotatorButtonClick"
                RightButtonID="RightArrow" OnClientButtonClick="onRotatorButtonClick" />
        </telerik:RadRotator>
    </div>
    <div>
        <asp:Image ID="LeftArrow" runat="server" ImageUrl="~/Arrows/LeftArrow.gif" CssClass="RadRotatorButton"
            onclick="onRotatorButtonClick(this.id);" />
        <asp:Image ID="RightArrow" runat="server" ImageUrl="~/Arrows/RightArrow.gif" CssClass="RadRotatorButton"
            onclick="onRotatorButtonClick(this.id);" />
    </div>
    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="XMLFile.xml"></asp:XmlDataSource>
    </form>
</body>
</html>
